Package org.gradle.language.swift.plugins

## Class SwiftApplicationPlugin

- java.lang.Object
- - org.gradle.language.swift.plugins.SwiftApplicationPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      @Incubating
      public class SwiftApplicationPlugin
      extends Object
      implements Plugin<Project>

  A plugin that produces an executable from Swift source.

  Adds compile, link and install tasks to build the executable. Defaults to looking for source files in `src/main/swift`.

  Adds a `SwiftApplication` extension to the project to allow configuration of the executable.

  Since:
    4.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SwiftApplicationPlugin​(org.gradle.language.internal.NativeComponentFactory componentFactory, org.gradle.language.nativeplatform.internal.toolchains.ToolChainSelector toolChainSelector, org.gradle.api.internal.attributes.ImmutableAttributesFactory attributesFactory, TargetMachineFactory targetMachineFactory)` | Injects a `FileOperations` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwiftApplicationPlugin

          @Inject
          public SwiftApplicationPlugin​(org.gradle.language.internal.NativeComponentFactory componentFactory,
                                        org.gradle.language.nativeplatform.internal.toolchains.ToolChainSelector toolChainSelector,
                                        org.gradle.api.internal.attributes.ImmutableAttributesFactory attributesFactory,
                                        TargetMachineFactory targetMachineFactory)

      Injects a `FileOperations` instance.
      Since:
        4.2

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object